(*
**  modem.inc
**
**  Structures for MODEM.FD
**
**  Copyright 1991-1997 Definite Solutions HB; All rights reserved.
**
**  Last revised: 97-11-21                          FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*)

  { Miscellaneous flags (FLAGS) }

CONST
  MODEM_MAXENTRY        =256;              {Maximum number of entries in list}
  MODEM_INACTIVE        =$0001;                      {Ignore string, inactive}
  MODEM_NODIAL          =$0002;                      {Don't dial system, ever}
  MODEM_STOPSCAN        =$0004;            {Stop scanning (and start dialing)}
  MODEM_DELETED         =$8000;                        {Never written to disk}

TYPE
  MODEMREC = RECORD
    MatchStr  :ARRAY[1..24] of CHAR;                         {String to match}
    SendStr   :ARRAY[1..32] of CHAR;                          {String to send}
    Flags     :WORD;                                               {See above}
  END;{MODEMREC}

(* end of file "modem.inc" *)
