(*
**  request.inc
**
**  Structures for REQUEST.FD
**
**  Copyright 1991-1997 Definite Solutions HB; All rights reserved.
**
**  Last revised: 97-11-21                          FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*)

  { Miscellaneous flags (STATUS) }

CONST
  REQPWD_ACTIVE  =$01;
  REQPWD_DELETED =$02;                                 {Never written to disk}

  { All strings are NUL terminated, a'la C ASCIIZ strings }

TYPE
  REQPWD      =RECORD
    Filename  :ARRAY[1..41] of CHAR;      {Filename or unique portion thereof}
    password  :ARRAY[1..17] of CHAR;                                {Password}
    Status    :BYTE;                                              {0=Inactive}
  END;

(* end of file "request.inc" *)
