(*
**  caller.inc
**
**  Structures for CALLER.nnn
**
**  Copyright 1991-1997 Definite Solutions HB; All rights reserved.
**
**  Last revised: 97-11-21                          FrontDoor 2.11+
**
**  -------------------------------------------------------------------------
**  This information is not necessarily final and is subject to change at any
**  given time without further notice
**  -------------------------------------------------------------------------
*)

TYPE
  CallerRec = RECORD
    iVersion   : WORD;                                  {Interface version==1}
    TimeStamp,                                      {UNIX style date and time}
    PortRate,                                      {DTE speed, 300-115200 BPS}
    CallRate   : LONGINT;                          {DCE speed, 300-115200 BPS}
    ComPort,                                        {0-65535, 0=Local, 1=COM1}
    TimeLeft   : WORD;                                {Number of minutes left}
    ResultStr  : ARRAY[1..255] of CHAR;          {Modem result string, ASCIIZ}
    CallerID   : ARRAY[1..255] of CHAR;                    {Caller ID, ASCIIZ}
    Reserved   : ARRAY[1..512] of CHAR;                           {Future use}
  END;{CallerRec}

(* end of file "caller.inc" *)

